﻿/* MOSQUITO GAME FUNCTION DECLARATION AND SETUP CONFIGURATION
 */

// Initialize
function init() {
	gameStart = true;
	triggerLevel = 40;
	handStepX = 10;
	handStepY = _root.hand._y;
	mosquitoCount = 0;
	mosquitoTotal = 0;
	handStatus = false;
	gainVal = 10;
	
	micro = Microphone.get();
	_root.attachAudio(micro);
	micro.setUseEchoSuppression( true );
	micro.setGain(gainVal);

	gain.setScrollProperties(20, 0, 100);
	gain.setChangeHandler("handler");
	gain.getScrollPosition(gainVal);
	
	xTimer.xStart();
}

// create mosquito
function createMosquito() {
	mosquitoTotal++;
	mosquitoCount++;
	_root.attachMovie("mosquito", "mosquito" add mosquitoCount, mosquitoCount);
	
}

// hand controller
function controlHand(value) {
	if ((value > triggerLevel) && (!handStatus)) {
		height = value;
		_root.hand._y = handStepY - (value*4); 	
		_root.hand.gotoAndPlay("action");
		handStatus = true;
	}
}

_root.hand.onEnterFrame = function () {
	this._x += handStepX;
	if ((this._x<90 && handStepX<0) ||
	    (this._x>670 && handStepX>0)) {
		handStepX = -handStepX;
	}

	if ((random(10) < 2) && (mosquitoTotal < 5))
		createMosquito();
		
	updateAfterEvent();
}

_root.onEnterFrame = function() {
	if (gameStart) {
		controlHand(micro.activityLevel);
	}
}

// checking the hit point
function checkHit() {
	for (var i in _root) {
		if ((typeof(_root[i]) == "movieclip") &&
			(i.substr(0,8) == "mosquito")) {
			if (_root[i].hitTest(_root.hand.hittingBox)) {
				_root[i].gotoAndPlay("hit");
				_root.xScore.xAddScore();
				mosquitoTotal--;
			}
		}
	}
}

// reset hand position
function resetHandStatus() {
	handStatus = false;
}

// timer handler
function timerhandler(value) {
	gameStart = false;
}

// handler
function handler(obj) {
	gainVal = obj.getScrollPosition();
	micro.setGain(gainVal);
}
this.init();
this.createMosquito();